summaryrefslogtreecommitdiffstats
path: root/scripts/nsdeps
diff options
context:
space:
mode:
authorMasahiro Yamada <masahiroy@kernel.org>2020-12-13 01:54:29 +0900
committerJulia Lawall <Julia.Lawall@inria.fr>2020-12-12 18:31:29 +0100
commit33114c4359592d5c8a3d840eee9ff40039caf26f (patch)
tree4f2c666ee310afa206dac40dbb7a4acec01da4e5 /scripts/nsdeps
parent2b076054e524a92e3a303de487dfb7cf85d8e149 (diff)
downloadlinux-33114c4359592d5c8a3d840eee9ff40039caf26f.tar.gz
linux-33114c4359592d5c8a3d840eee9ff40039caf26f.tar.xz
kbuild: do not use scripts/ld-version.sh for checking spatch version
scripts/ld-version.sh was, as its file name implies, originally intended for the GNU ld version, but is (ab)used for the spatch version too. Use 'sort -CV' for the version comparison, then coccicheck does not need to use scripts/ld-version.sh. Fix nsdeps as well. Signed-off-by: Masahiro Yamada <masahiroy@kernel.org> Signed-off-by: Julia Lawall <Julia.Lawall@inria.fr>
Diffstat (limited to 'scripts/nsdeps')
-rw-r--r--scripts/nsdeps4
1 files changed, 1 insertions, 3 deletions
diff --git a/scripts/nsdeps b/scripts/nsdeps
index dab4c1a0e27d..e8ce2a4d704a 100644
--- a/scripts/nsdeps
+++ b/scripts/nsdeps
@@ -12,11 +12,9 @@ if [ ! -x "$SPATCH" ]; then
exit 1
fi
-SPATCH_REQ_VERSION_NUM=$(echo $SPATCH_REQ_VERSION | ${DIR}/scripts/ld-version.sh)
SPATCH_VERSION=$($SPATCH --version | head -1 | awk '{print $3}')
-SPATCH_VERSION_NUM=$(echo $SPATCH_VERSION | ${DIR}/scripts/ld-version.sh)
-if [ "$SPATCH_VERSION_NUM" -lt "$SPATCH_REQ_VERSION_NUM" ] ; then
+if ! { echo "$SPATCH_REQ_VERSION"; echo "$SPATCH_VERSION"; } | sort -CV ; then
echo "spatch needs to be version $SPATCH_REQ_VERSION or higher"
exit 1
fi